Bug 429601 - gtk text are does not give an option to insert unicode special characters required for many languages like Malayalam
gtk text are does not give an option to insert unicode special characters req...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-21 16:22 EST by Praveen A
Modified: 2008-02-11 05:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-11 05:45:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Praveen A 2008-01-21 16:22:15 EST
Description of problem:

There is no option in gtk text area to insert unicode special characters like
zwj, zwnj and zws in fedora's version of gtk. It is available in other
distribution like Debian and Ubuntu and is used heavily. I have recently started
using F8 and this missing feature is becoming painful, now I have to open
character map and search for this character and include it.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. open gedit
2. right click
3. look for insert unicode special characters
  
Actual results:

no such option
Expected results:

option to insert unicode special characters
Additional info:

This is missing in all other applications using gtk. This option is available in
Debian. It is very much needed for typing some Malayalam words which use zwnj
and the current keyboard layout does not include it (it is expected to come in a
future xkb version).
Comment 1 Eric Work 2008-01-21 17:09:55 EST
This bug was assigned to the wrong component, reassigning to gtk2 which is where
gtktextarea I believe comes from.
Comment 2 Matthias Clasen 2008-01-21 20:14:55 EST
Try 

gconftool-2 --set --type=bool /desktop/gnome/interface/show_unicode_menu true

Please let me know if this is what you are looking for.
Comment 3 Praveen A 2008-01-21 23:33:31 EST
Matthias,

 Thanks a lot. This is exactly what I was looking for. Can you enable it by
default if the user choses Malayalam locale? Or should installer be handling this?
Comment 4 Santhosh Thottingal 2008-01-21 23:42:23 EST
Hi,
I think it is not only required for Malayalam Locale. There are many other
languages which require this option. My suggestion is to add it to the menu by
default.
Comment 5 Matthias Clasen 2008-01-21 23:54:25 EST
Well, 

it is possible to define locale-dependent defaults in gconf, but I'd have a hard
time to come up with a reasonable list of locales where this should be turned on.

I'd rather see the relevant input methods improved. 

Btw., the default GTK+ input method also supports entering any unicode character
by entering C-S-u-hex. E.g. C-S-u200c will enter ZWNJ.
Comment 6 Praveen A 2008-01-22 00:12:12 EST
Matthias,

 How will I enter that? Good friend google didn't turn up any useful results.
Comment 7 Matthias Clasen 2008-01-22 08:51:05 EST
First of all, this is a feature of GTK's default input method. If it works or
not with the input method you are using depends on

- whether your input method falls back to the default input method

- whether it does so correctly (there have been errors in this area in the past)

Assuming, it works, or you are using the default input method, here is how it works:

Press Control-Shift-u (you should see an underlined u) 
Now you can either let go of all keys, type the hexadecimal Unicode number of
the character you want (e.g. 200c for ZWNJ) and complete the sequence by Enter.
Alternatively, you can hold Control and Shift, type the code, and complete the
sequence by releasing Control and Shift.
Comment 8 Jens Petersen 2008-01-22 21:30:06 EST
(In reply to comment #5)
> I'd rather see the relevant input methods improved. 

I tend to agree - do you have some examples of cases where
the zero-width characters are explicitly needed?  If the
input methods worked well would they still be necessary?
Comment 9 Praveen A 2008-02-02 22:14:00 EST
Mathias,

 Thanks for explaining it. It worked in Firefox 3 b3pre, I guess it will work on
others as well.

Petersen,
Here is one example

സോഫ്റ്റ്‌വെയര്‍  - with ZWNJ
സോഫ്റ്റ്വെയര്‍ - without ZWNJ

("software" written in Malayalam). We fixed the input method and it is not
necessary to have the gtk option for Malayalam. But it might still be useful for
others. For me the bug is fixed.
Comment 10 Jens Petersen 2008-02-05 21:30:08 EST
Thanks for the explanations.

Were some m17n input maps updated for this?
Comment 11 Parag Nemade 2008-02-11 05:45:19 EST
‌(In reply to comment #10)
> Thanks for the explanations.
> 
> Were some m17n input maps updated for this?

  Comment #5 is working fine for users those who want to input unicode special
characters. Adding keys for such unicode special characters depends on
availability of empty slots for keys in respective languages keymaps.
   I will prefer to have such requests/bugs filed by respective language
community to include unicode special characters for respective language keymaps.
This will make me to find which key community prefers for which unicode special
character. Afterall this depends on users preferences for keys mappings in
keymaps after following/adding keymapping based on standard keyboard layout
which I think we already added in keymaps.

Closing this as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.